couchdb-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From j..@apache.org
Subject svn commit: r669523 - in /incubator/couchdb/branches/runtimeconfig: ./ bin/ etc/ etc/couchdb/ etc/default/ etc/logrotate.d/ share/ share/www/ share/www/browse/ src/couchdb/ src/mochiweb/ var/
Date Thu, 19 Jun 2008 16:10:01 GMT
Author: jan
Date: Thu Jun 19 09:10:00 2008
New Revision: 669523

URL: http://svn.apache.org/viewvc?rev=669523&view=rev
Log:
Merged revisions 668109-668110,668118,668126,668134,668137,668180,668183,668231,668234,668248,668269
via svnmerge from 
https://svn.apache.org/repos/asf/incubator/couchdb/trunk


Modified:
    incubator/couchdb/branches/runtimeconfig/   (props changed)
    incubator/couchdb/branches/runtimeconfig/CHANGES
    incubator/couchdb/branches/runtimeconfig/Makefile.am
    incubator/couchdb/branches/runtimeconfig/NEWS
    incubator/couchdb/branches/runtimeconfig/bin/Makefile.am
    incubator/couchdb/branches/runtimeconfig/bin/couchdb.tpl.in
    incubator/couchdb/branches/runtimeconfig/bin/couchjs.tpl.in
    incubator/couchdb/branches/runtimeconfig/bootstrap
    incubator/couchdb/branches/runtimeconfig/configure.ac
    incubator/couchdb/branches/runtimeconfig/etc/Makefile.am
    incubator/couchdb/branches/runtimeconfig/etc/couchdb/Makefile.am
    incubator/couchdb/branches/runtimeconfig/etc/couchdb/couch.ini.tpl.in
    incubator/couchdb/branches/runtimeconfig/etc/default/couchdb.tpl.in
    incubator/couchdb/branches/runtimeconfig/etc/logrotate.d/couchdb.tpl.in
    incubator/couchdb/branches/runtimeconfig/share/Makefile.am
    incubator/couchdb/branches/runtimeconfig/share/www/browse/database.html
    incubator/couchdb/branches/runtimeconfig/share/www/browse/document.html
    incubator/couchdb/branches/runtimeconfig/share/www/browse/index.html
    incubator/couchdb/branches/runtimeconfig/share/www/couch_tests.html
    incubator/couchdb/branches/runtimeconfig/share/www/index.html
    incubator/couchdb/branches/runtimeconfig/share/www/replicator.html
    incubator/couchdb/branches/runtimeconfig/src/couchdb/Makefile.am
    incubator/couchdb/branches/runtimeconfig/src/mochiweb/Makefile.am
    incubator/couchdb/branches/runtimeconfig/var/Makefile.am

Propchange: incubator/couchdb/branches/runtimeconfig/
------------------------------------------------------------------------------
--- svnmerge-integrated (original)
+++ svnmerge-integrated Thu Jun 19 09:10:00 2008
@@ -1 +1 @@
-/incubator/couchdb/trunk:1-668012
+/incubator/couchdb/trunk:1-669515

Modified: incubator/couchdb/branches/runtimeconfig/CHANGES
URL: http://svn.apache.org/viewvc/incubator/couchdb/branches/runtimeconfig/CHANGES?rev=669523&r1=669522&r2=669523&view=diff
==============================================================================
--- incubator/couchdb/branches/runtimeconfig/CHANGES (original)
+++ incubator/couchdb/branches/runtimeconfig/CHANGES Thu Jun 19 09:10:00 2008
@@ -1,9 +1,8 @@
 Apache CouchDB CHANGES
 ======================
 
-Version 0.8.0
-(?? Jun 2008, from /incubator/couchdb/branches/0.8.x)
--------------------------------------------------------------------------------
+Version 0.8.0-incubating
+------------------------
 
 Database Core:
 
@@ -65,14 +64,15 @@
    renamed to `emit(key, value)`.
  * Fixed handling of exceptions raised by view functions.
 
-Build, Scripts, and System Integration:
+Packaging and System Integration:
 
  * CouchDB can automatically respawn following a server crash.
  * Database server no longer refuses to start with a stale PID file.
  * System logrotate configuration provided.
  * Improved handling of ICU shared libraries.
- * The `couchdb` script now automatically enables SMP support in Erlang if
-   available.
+ * The `couchdb` script now automatically enables SMP support in Erlang.
+ * The `couchdb` and `couchjs` scripts have been improved for portability.
+ * The build and install system has been improved for portability.
 
 Futon Utility Client:
 

Modified: incubator/couchdb/branches/runtimeconfig/Makefile.am
URL: http://svn.apache.org/viewvc/incubator/couchdb/branches/runtimeconfig/Makefile.am?rev=669523&r1=669522&r2=669523&view=diff
==============================================================================
--- incubator/couchdb/branches/runtimeconfig/Makefile.am (original)
+++ incubator/couchdb/branches/runtimeconfig/Makefile.am Thu Jun 19 09:10:00 2008
@@ -12,11 +12,11 @@
 
 SUBDIRS = bin etc src share var
 
-pkgdoc_DATA = AUTHORS.gz BUGS.gz CHANGES.gz NEWS.gz README.gz THANKS.gz
+localdoc_DATA = AUTHORS.gz BUGS.gz CHANGES.gz NEWS.gz README.gz THANKS.gz
 
-DISTCLEANFILES = $(pkgdoc_DATA)
+DISTCLEANFILES = $(localdoc_DATA)
 
-EXTRA_DIST = AUTHORS BUGS CHANGES LICENSE NEWS README THANKS
+EXTRA_DIST = AUTHORS BUGS CHANGES LICENSE NEWS NOTICE README THANKS
 
 AUTHORS.gz: $(top_srcdir)/AUTHORS
 	-gzip -9 < $< > $@

Modified: incubator/couchdb/branches/runtimeconfig/NEWS
URL: http://svn.apache.org/viewvc/incubator/couchdb/branches/runtimeconfig/NEWS?rev=669523&r1=669522&r2=669523&view=diff
==============================================================================
--- incubator/couchdb/branches/runtimeconfig/NEWS (original)
+++ incubator/couchdb/branches/runtimeconfig/NEWS Thu Jun 19 09:10:00 2008
@@ -15,6 +15,7 @@
  * Added support for incremental map/reduce views.
  * Changed database file format.
  * Many improvements to Futon, the web administration interface.
+ * Miscellaneous improvements to system integration and portability.
  * Swapped out Erlang's inets HTTP server for the Mochiweb HTTP server.
  * SpiderMonkey is no longer included with CouchDB, but rather treated as an
    external dependendancy.

Modified: incubator/couchdb/branches/runtimeconfig/bin/Makefile.am
URL: http://svn.apache.org/viewvc/incubator/couchdb/branches/runtimeconfig/bin/Makefile.am?rev=669523&r1=669522&r2=669523&view=diff
==============================================================================
--- incubator/couchdb/branches/runtimeconfig/bin/Makefile.am (original)
+++ incubator/couchdb/branches/runtimeconfig/bin/Makefile.am Thu Jun 19 09:10:00 2008
@@ -27,11 +27,11 @@
 	    -e "s|%ICU_CONFIG%|$(ICU_CONFIG)|g" \
 	    -e "s|%AWK%|$(AWK)|g" \
 	    -e "s|%bindir%|@bindir@|g" \
-	    -e "s|%erlangbindir%|@erlangbindir@|g" \
-	    -e "s|%erlanglibdir%|@erlanglibdir@|g" \
-	    -e "s|%pkgconfdir%|@pkgconfdir@|g" \
-	    -e "s|%pkgstatelogdir%|@pkgstatelogdir@|g" \
-	    -e "s|%pkgstatelibdir%|@pkgstatelibdir@|g" \
+	    -e "s|%localerlangbindir%|@localerlangbindir@|g" \
+	    -e "s|%localerlanglibdir%|@localerlanglibdir@|g" \
+	    -e "s|%localconfdir%|@localconfdir@|g" \
+	    -e "s|%localstatelogdir%|@localstatelogdir@|g" \
+	    -e "s|%localstatelibdir%|@localstatelibdir@|g" \
 	    -e "s|%localstatedir%|@localstatedir@|g" \
 	    -e "s|%bug_uri%|@bug_uri@|g" \
 	    -e "s|%package_author_address%|@package_author_address@|g" \
@@ -43,7 +43,7 @@
 	chmod +x $@
 
 couchjs: couchjs.tpl
-	sed -e "s|%libbindir%|@libbindir@|g" \
+	sed -e "s|%locallibbindir%|@locallibbindir@|g" \
 	    -e "s|%bug_uri%|@bug_uri@|g" \
 	    -e "s|%package_author_address%|@package_author_address@|g" \
 	    -e "s|%package_author_name%|@package_author_name@|g" \

Modified: incubator/couchdb/branches/runtimeconfig/bin/couchdb.tpl.in
URL: http://svn.apache.org/viewvc/incubator/couchdb/branches/runtimeconfig/bin/couchdb.tpl.in?rev=669523&r1=669522&r2=669523&view=diff
==============================================================================
--- incubator/couchdb/branches/runtimeconfig/bin/couchdb.tpl.in (original)
+++ incubator/couchdb/branches/runtimeconfig/bin/couchdb.tpl.in Thu Jun 19 09:10:00 2008
@@ -25,10 +25,10 @@
 
 RESPAWN_TIMEOUT=0
 
-LIB_DIRECTORY=%pkgstatelibdir%
-LOG_DIRECTORY=%pkgstatelogdir%
+LIB_DIRECTORY=%localstatelibdir%
+LOG_DIRECTORY=%localstatelogdir%
 
-INI_FILE=%pkgconfdir%/couch.ini
+INI_FILE=%localconfdir%/couch.ini
 PID_FILE=%localstatedir%/run/couchdb.pid
 
 STDOUT_FILE=couchdb.stdout
@@ -40,8 +40,6 @@
 basename=`basename $0`
 
 display_version () {
-    # Display version and copyright information.
-
     cat << EOF
 $basename - %package_name% %version%
 
@@ -59,8 +57,6 @@
  }
 
 display_help () {
-    # Display a short description of the script's behaviour.
-
     cat << EOF
 Usage: $basename [OPTION]
 
@@ -92,8 +88,6 @@
 }
 
 display_error () {
-    # Display a short instruction referring users to further documentation.
-
     if test -n "$1"; then
         echo $1 >&2
     fi
@@ -103,8 +97,6 @@
 }
 
 _load_configuration () {
-    # Load ini configuration and overwrite default variables.
-
     dbrootdir_ini_value=`%AWK% -F = "/^DbRootDir=/{print \\$2}" < $INI_FILE`
     if test -n "$dbrootdir_ini_value"; then
         LIB_DIRECTORY=$dbrootdir_ini_value
@@ -123,8 +115,6 @@
 }
 
 check_status () {
-    # Check the status of the running Apache CouchDB process.
-
     PID=`_get_pid`
     if test -n "$PID"; then
         if kill -0 $PID 2> /dev/null; then
@@ -142,8 +132,6 @@
 }
 
 check_environment () {
-    # Check the environment for common problems to prevent nasty backtraces.
-
     message_prefix="Apache CouchDB needs write permission on the"
     if test ! -w $LIB_DIRECTORY; then
         echo "$message_prefix data directory: $LIB_DIRECTORY" >&2
@@ -201,8 +189,6 @@
 }
 
 start_couchdb () {
-    # Start Apache CouchDB with the Erlang interpreter.
-
     if test ! "$RECURSED_BOOLEAN" = "true"; then
         if check_status 2> /dev/null; then
             exit $SCRIPT_OK
@@ -222,8 +208,8 @@
 
     command="`%ICU_CONFIG% --invoke` \
         %ERL% $interactive_option -smp auto -sasl errlog_type error \
-        -pa %erlanglibdir%/couch-%version%/ebin \
-            %erlanglibdir%/mochiweb-r76/ebin \
+        -pa %localerlanglibdir%/couch-%version%/ebin \
+            %localerlanglibdir%/mochiweb-r76/ebin \
         -eval \"application:load(inets)\" \
         -eval \"application:load(crypto)\" \
         -eval \"application:load(couch)\" \
@@ -233,7 +219,6 @@
 
     if test "$BACKGROUND_BOOLEAN" = "true" \
         -a "$RECURSED_BOOLEAN" = "false"; then
-        # Recursively call and detach a duplicate couchdb command.
         $0 -c $INI_FILE -b -r $RESPAWN_TIMEOUT -p $PID_FILE \
             -o $STDOUT_FILE -e $STDERR_FILE -R &
         echo "Apache CouchDB has started, time to relax."
@@ -247,16 +232,12 @@
                 PID=`_get_pid`
                 if test -n "$PID"; then
                     if kill -0 $PID 2> /dev/null; then
-                        # Found an existing process, do not respawn.
                         return $SCRIPT_ERROR
                     fi
-                    # Stale PID file, we should respawn.
                 else
-                    # No PID file, do not respawn.
                     return $SCRIPT_OK
                 fi
                 if test "$RESPAWN_TIMEOUT" = "0"; then
-                    # RESPAWN_TIMEOUT is zero, do not respawn.
                     return $SCRIPT_OK
                 fi
                 if test "$RESPAWN_TIMEOUT" != "1"; then
@@ -274,11 +255,8 @@
 }
 
 stop_couchdb () {
-    # Send SIGHUP to the running Apache CouchDB process.
-
     PID=`_get_pid`
     if test -n "$PID"; then
-        # Clean up PID file or leave stale for respawn.
         if test "$1" = "false"; then
             echo > $PID_FILE
         fi
@@ -306,12 +284,13 @@
 }
 
 parse_script_option_list () {
-    # Parse the script option list and take the appropriate action.
-
-    if test ! argument_list=`getopt hVc:ibp:r:Ro:e:skd $@`; then
+    set +e
+    options=`getopt hVc:ibp:r:Ro:e:skd $@`
+    if test ! $? -eq 0; then
         display_error
     fi
-    eval set -- "$argument_list"
+    set -e
+    eval set -- $options
     while [ $# -gt 0 ]; do
         case "$1" in
             -h) shift; display_help; exit $SCRIPT_OK;;

Modified: incubator/couchdb/branches/runtimeconfig/bin/couchjs.tpl.in
URL: http://svn.apache.org/viewvc/incubator/couchdb/branches/runtimeconfig/bin/couchjs.tpl.in?rev=669523&r1=669522&r2=669523&view=diff
==============================================================================
--- incubator/couchdb/branches/runtimeconfig/bin/couchjs.tpl.in (original)
+++ incubator/couchdb/branches/runtimeconfig/bin/couchjs.tpl.in Thu Jun 19 09:10:00 2008
@@ -22,8 +22,6 @@
 basename=`basename $0`
 
 display_version () {
-    # Display version and copyright information.
-
     cat << EOF
 $basename - %package_name% %version%
 
@@ -41,8 +39,6 @@
 }
 
 display_help () {
-    # Display a short description of the script's behaviour.
-
     cat << EOF
 Usage: $basename [FILE]
 
@@ -60,8 +56,6 @@
 }
 
 display_error () {
-    # Display a short instruction referring users to further documentation.
-
     if test -n "$1"; then
         echo $1 >&2
     fi
@@ -71,18 +65,17 @@
 }
 
 run_couchjs () {
-    # Run the JavaScript interpreter shell with options.
-
-    exec %libbindir%/%couchjs_command_name% $@
+    exec %locallibbindir%/%couchjs_command_name% $@
 }
 
 parse_script_option_list () {
-    # Parse the script option list and take the appropriate action.
-
-    if test ! argument_list=`getopt hV $@`; then
+    set +e
+    options=`getopt hV $@`
+    if test ! $? -eq 0; then
         display_error
     fi
-    eval set -- "$argument_list"
+    set -e
+    eval set -- $options
     while [ $# -gt 0 ]; do
         case "$1" in
             -h) shift; display_help; exit $SCRIPT_OK;;

Modified: incubator/couchdb/branches/runtimeconfig/bootstrap
URL: http://svn.apache.org/viewvc/incubator/couchdb/branches/runtimeconfig/bootstrap?rev=669523&r1=669522&r2=669523&view=diff
==============================================================================
--- incubator/couchdb/branches/runtimeconfig/bootstrap (original)
+++ incubator/couchdb/branches/runtimeconfig/bootstrap Thu Jun 19 09:10:00 2008
@@ -19,6 +19,7 @@
 
 ACINCLUDE_FILE="acinclude.m4"
 ACINCLUDE_IN_FILE="acinclude.m4.in"
+ACINCLUDE_TMP_FILE="acinclude.m4.tmp"
 AC_CHECK_ICU_COMPRESSED_FILE="build-contrib/ac_check_icu.m4_2008-06-07.gz"
 AUTHORS_FILE="authors.xml"
 BUILD_AUX_DIRECTORY="build-aux"
@@ -32,31 +33,26 @@
 
 basename=`basename $0`
 
-extract_configuration_variable () {
-    # Extract variables from the local M4 configuration.
-
+get () {
     variable_name=$1
-    temporary_file=`mktemp`
-    echo "changequote(\`[', \`]')" > $temporary_file
-    sed "s/m4_//" < $ACINCLUDE_IN_FILE >> $temporary_file
-    echo $variable_name >> $temporary_file
-    if test -x `which m4 || true`; then
-        `which m4` $temporary_file | grep -v "^$"
+    echo "changequote(\`[', \`]')" > $ACINCLUDE_TMP_FILE
+    sed -e "s/m4_//" < $ACINCLUDE_IN_FILE >> $ACINCLUDE_TMP_FILE
+    echo $variable_name >> $ACINCLUDE_TMP_FILE
+    if test -x "`which m4 || true`"; then
+        `which m4` $ACINCLUDE_TMP_FILE | grep -v "^$" || true
     else
-        if test -x `which gm4 || true`; then
-            `which gm4` $temporary_file | grep -v "^$"
+        if test -x "`which gm4 || true`"; then
+            `which gm4` $ACINCLUDE_TMP_FILE | grep -v "^$" || true
+        else
+            echo unknown
         fi
     fi
-    rm -f $temporary_file
+    rm -f $ACINCLUDE_TMP_FILE
 }
 
 display_version () {
-    # Display version and copyright information.
-
-    package_name=`extract_configuration_variable LOCAL_PACKAGE_NAME`
-    version=`extract_configuration_variable LOCAL_VERSION`
     cat << EOF
-$basename - $package_name $version
+$basename - `get LOCAL_PACKAGE_NAME` `get LOCAL_VERSION_PRIMARY`
 
 Licensed under the Apache License, Version 2.0 (the "License"); you may not use
 this file except in compliance with the License.  You may obtain a copy of the
@@ -72,9 +68,6 @@
 }
 
 display_help () {
-    # Display a short description of the script's behaviour.
-
-    bug_uri=`extract_configuration_variable LOCAL_BUG_URI`
     cat << EOF
 Usage: $basename [OPTION]...
 
@@ -89,15 +82,13 @@
 
 Environment variables:
 
-  REPOSITORY_REVISION  manual override for revision information
+  REVISION  manual override for revision information
 
-Report bugs at <$bug_uri>.
+Report bugs at <`get LOCAL_BUG_URI`>.
 EOF
 }
 
 display_error () {
-    # Display a short instruction referring users to further documentation.
-
     if test -n "$1"; then
         echo $1 >&2
     fi
@@ -106,51 +97,18 @@
     exit $SCRIPT_ERROR
 }
 
-check_svn_environment () {
-    # Check the Subversion environment for sanity.
-
-    if test -x `which svn || true`; then
-        echo "Warning: Unable to find the svn command."
-        return $SCRIPT_ERROR
-    fi
-    if test -n "$REPOSITORY_REVISION"; then
-        return
-    fi
-    if test -n "`\`which svn\` info . 2> /dev/null`"; then
-       SVN_CHECKOUT_BOOLEAN="true"
-    fi
-    if test "$SVN_CHECKOUT_BOOLEAN" != "true"; then
-        echo "Warning: Unable to determine checkout information."
-    fi
-}
-
 generate_acinclude () {
-    # Generate the acinclude.m4 file using the Subversion repository.
-
-    release_code=`sed -e "s/\[//g" -e "s/\]//g" -e "s/(//g" -e "s/)//g" \
-        < $ACINCLUDE_IN_FILE | awk "/LOCAL_VERSION_STAGE, /{print \$2}"`
-    repository_boolean=false
-    if test -n "$REPOSITORY_REVISION" -o "$SVN_CHECKOUT_BOOLEAN" = "true"; then
-        repository_boolean=true
+    if test -z "$REVISION"; then
+        REVISION=`\`which svn\` info . 2> /dev/null | awk "/Revision:/{print \\$2}"`
     fi
-    if test -z "$release_code" -o "$repository_boolean" = "false"; then
+    if test -z "`get LOCAL_VERSION_STAGE`" -o -z "$REVISION"; then
         sed "s/%release%//" < $ACINCLUDE_IN_FILE > $ACINCLUDE_FILE
     else
-        if test "$SVN_CHECKOUT_BOOLEAN" = "true"; then
-            revision_number=`\`which svn\` info . | \
-                awk "/Revision:/{print \\$2}"`
-        fi
-        if test -n "$REPOSITORY_REVISION"; then
-            revision_number="$REPOSITORY_REVISION"
-        fi
-        sed "s/%release%/$revision_number/" \
-            < $ACINCLUDE_IN_FILE > $ACINCLUDE_FILE
+        sed "s/%release%/$REVISION/" < $ACINCLUDE_IN_FILE > $ACINCLUDE_FILE
     fi
 }
 
 process_file_collection () {
-    # Process files required to complete the bootstrap.
-
     echo "Installing \`"$BUILD_AUX_DIRECTORY"'"
     mkdir -p $BUILD_AUX_DIRECTORY
     echo "Installing \`"$CONFIG_GUESS_FILE"'"
@@ -167,9 +125,7 @@
 }
 
 run_aclocal () {
-    # Run the correct version of aclocal.
-
-    if test -x `which aclocal || true`; then
+    if test -x "`which aclocal || true`"; then
         echo "Running aclocal"
         `which aclocal` -I m4
     else
@@ -179,13 +135,11 @@
 }
 
 run_libtoolize () {
-    # Run the correct version of libtoolize.
-
-    if test -x `which libtoolize || true`; then
+    if test -x "`which libtoolize || true`"; then
         echo "Running libtoolize"
         `which libtoolize` -f -c
     else
-        if test -x `which glibtoolize || true`; then
+        if test -x "`which glibtoolize || true`"; then
             echo "Running glibtoolize"
             `which glibtoolize` -f -c
         else
@@ -196,9 +150,7 @@
 }
 
 run_autoheader () {
-    # Run the correct version of autoheader.
-
-    if test -x `which autoheader || true`; then
+    if test -x "`which autoheader || true`"; then
         echo "Running autoheader"
         `which autoheader` -f
     else
@@ -208,10 +160,8 @@
 }
 
 run_automake () {
-    # Run the correct version of automake.
-
     AUTOMAKE_OPTION_COLLECTION=""
-    if test -x `which automake || true`; then
+    if test -x "`which automake || true`"; then
         echo "Running automake"
         `which automake` -f -c -a --gnits
     else
@@ -221,9 +171,7 @@
 }
 
 run_autoconf () {
-    # Run the correct version of autoconf.
-
-    if test -x `which autoconf || true`; then
+    if test -x "`which autoconf || true`"; then
         echo "Running autoconf"
         `which autoconf` -f
     else
@@ -233,8 +181,6 @@
 }
 
 run_command_collection () {
-    # Run commands required to complete the bootstrap.
-
     run_libtoolize
     run_aclocal
     run_autoheader
@@ -249,26 +195,23 @@
 }
 
 parse_script_option_list () {
-    # Parse the script option list and take the appropriate action.
-
     set +e
-    argument_list=`getopt vhC $@`
+    options=`getopt hVC $@`
     if test ! $? -eq 0; then
         display_error
     fi
     set -e
-    eval set -- "$argument_list"
+    eval set -- $options
     while [ $# -gt 0 ]; do
         case "$1" in
-            -v) shift; display_version; exit $SCRIPT_OK;;
             -h) shift; display_help; exit $SCRIPT_OK;;
+            -V) shift; display_version; exit $SCRIPT_OK;;
             --) shift; break;;
             *) display_error "Unknown option: $1" >&2;;
         esac
     done
     cd `dirname $0`
     process_file_collection
-    check_svn_environment || true
     generate_acinclude
     run_command_collection
 }

Modified: incubator/couchdb/branches/runtimeconfig/configure.ac
URL: http://svn.apache.org/viewvc/incubator/couchdb/branches/runtimeconfig/configure.ac?rev=669523&r1=669522&r2=669523&view=diff
==============================================================================
--- incubator/couchdb/branches/runtimeconfig/configure.ac (original)
+++ incubator/couchdb/branches/runtimeconfig/configure.ac Thu Jun 19 09:10:00 2008
@@ -21,7 +21,7 @@
 
 AM_CONFIG_HEADER([config.h])
 
-AM_INIT_AUTOMAKE([1.6.3 foreign check-news -Wno-portability])
+AM_INIT_AUTOMAKE([1.6.3 foreign check-news])
 
 AC_GNU_SOURCE
 AC_ENABLE_SHARED
@@ -106,13 +106,13 @@
 
 erlang_version_error="The installed Erlang version is less than 5.5.0 (R11B)."
 
-version=`${ERL} -version 2>&1 | ${SED} "s/[[^0-9]]/ /g"`
+version="`${ERL} -version 2>&1 | ${SED} "s/[[^0-9]]/ /g"`"
 
-if test `echo $version | ${AWK} "{print \$1}"` -lt 5; then
+if test `echo $version | ${AWK} "{print \\$1}"` -lt 5; then
     AC_MSG_ERROR([$erlang_version_error])
 fi
 
-if test `echo $version | ${AWK} "{print \$2}"` -lt 5; then
+if test `echo $version | ${AWK} "{print \\$2}"` -lt 5; then
     AC_MSG_ERROR([$erlang_version_error])
 fi
 
@@ -211,15 +211,15 @@
 
 AC_SUBST([bug_uri], ["LOCAL_BUG_URI"])
 
-AC_SUBST([pkgconfdir], [${sysconfdir}/${package_identifier}])
-AC_SUBST([pkgdatadir], [${datadir}/${package_identifier}])
-AC_SUBST([pkgdocdir], [${datadir}/doc/${package_identifier}])
-AC_SUBST([pkglibdir], [${libdir}/${package_identifier}])
-AC_SUBST([pkgstatelibdir], [${localstatedir}/lib/${package_identifier}])
-AC_SUBST([pkgstatelogdir], [${localstatedir}/log/${package_identifier}])
-AC_SUBST([libbindir], [${pkglibdir}/bin])
-AC_SUBST([erlangbindir], [${pkglibdir}/erlang/bin])
-AC_SUBST([erlanglibdir], [${pkglibdir}/erlang/lib])
+AC_SUBST([localconfdir], [${sysconfdir}/${package_identifier}])
+AC_SUBST([localdatadir], [${datadir}/${package_identifier}])
+AC_SUBST([localdocdir], [${datadir}/doc/${package_identifier}])
+AC_SUBST([locallibdir], [${libdir}/${package_identifier}])
+AC_SUBST([localstatelibdir], [${localstatedir}/lib/${package_identifier}])
+AC_SUBST([localstatelogdir], [${localstatedir}/log/${package_identifier}])
+AC_SUBST([locallibbindir], [${locallibdir}/bin])
+AC_SUBST([localerlangbindir], [${locallibdir}/erlang/bin])
+AC_SUBST([localerlanglibdir], [${locallibdir}/erlang/lib])
 
 AC_REVISION([LOCAL_VERSION])
 

Modified: incubator/couchdb/branches/runtimeconfig/etc/Makefile.am
URL: http://svn.apache.org/viewvc/incubator/couchdb/branches/runtimeconfig/etc/Makefile.am?rev=669523&r1=669522&r2=669523&view=diff
==============================================================================
--- incubator/couchdb/branches/runtimeconfig/etc/Makefile.am (original)
+++ incubator/couchdb/branches/runtimeconfig/etc/Makefile.am Thu Jun 19 09:10:00 2008
@@ -39,7 +39,7 @@
 	    fi \
 	fi
 	sed -e "s|%configure_input%|$@. Generated from $< by configure.|" \
-	    -e "s|%pkgconfdir%|$(pkgconfdir)|g" \
+	    -e "s|%localconfdir%|$(localconfdir)|g" \
 	    -e "s|%sysconfdir%|$(sysconfdir)|" \
 	    -e "s|%localstatedir%|$(localstatedir)|" \
 	< $< > $@
@@ -55,12 +55,12 @@
 	sed -e "s|%configure_input%|$@. Generated from $< by configure.|" \
 	    -e "s|%bindir%|$(bindir)|" \
 	    -e "s|%sysconfdir%|$(sysconfdir)|" \
-	    -e "s|%erlangbindir%|$(erlangbindir)|" \
+	    -e "s|%localerlangbindir%|$(localerlangbindir)|" \
 	    -e "s|%couchdb_command_name%|$(couchdb_command_name)|" \
 	< $< > $@
 
 logrotate.d/couchdb: logrotate.d/couchdb.tpl
-	sed -e "s|%pkgstatelogdir%|@pkgstatelogdir@|g" < $< > $@
+	sed -e "s|%localstatelogdir%|@localstatelogdir@|g" < $< > $@
 
 launchd/org.apache.couchdb.plist: launchd/org.apache.couchdb.plist.tpl
 	if test "$(mkdir_p)"; then \

Modified: incubator/couchdb/branches/runtimeconfig/etc/couchdb/Makefile.am
URL: http://svn.apache.org/viewvc/incubator/couchdb/branches/runtimeconfig/etc/couchdb/Makefile.am?rev=669523&r1=669522&r2=669523&view=diff
==============================================================================
--- incubator/couchdb/branches/runtimeconfig/etc/couchdb/Makefile.am (original)
+++ incubator/couchdb/branches/runtimeconfig/etc/couchdb/Makefile.am Thu Jun 19 09:10:00 2008
@@ -10,21 +10,21 @@
 ## License for the specific language governing permissions and limitations
 ## under the License.
 
-pkgconf_DATA = couch.ini
+localconf_DATA = couch.ini
 
-CLEANFILES = $(pkgconf_DATA)
+CLEANFILES = $(localconf_DATA)
 
 transform = @program_transform_name@
 couchjs_command_name = `echo couchjs | sed '$(transform)'`
 
-couchprivlibdir = $(erlanglibdir)/couch-$(version)/priv/lib
+couchprivlibdir = $(localerlanglibdir)/couch-$(version)/priv/lib
 
 couch.ini: couch.ini.tpl
 	sed -e "s|%bindir%|$(bindir)|g" \
-	    -e "s|%pkgconfdir%|$(pkgconfdir)|g" \
-	    -e "s|%pkgdatadir%|$(pkgdatadir)|g" \
-	    -e "s|%pkgstatelibdir%|$(pkgstatelibdir)|g" \
-	    -e "s|%pkgstatelogdir%|$(pkgstatelogdir)|g" \
+	    -e "s|%localconfdir%|$(localconfdir)|g" \
+	    -e "s|%localdatadir%|$(localdatadir)|g" \
+	    -e "s|%localstatelibdir%|$(localstatelibdir)|g" \
+	    -e "s|%localstatelogdir%|$(localstatelogdir)|g" \
 	    -e "s|%couchprivlibdir%|$(couchprivlibdir)|g" \
 	    -e "s|%couchjs_command_name%|$(couchjs_command_name)|g" \
 	< $< > $@

Modified: incubator/couchdb/branches/runtimeconfig/etc/couchdb/couch.ini.tpl.in
URL: http://svn.apache.org/viewvc/incubator/couchdb/branches/runtimeconfig/etc/couchdb/couch.ini.tpl.in?rev=669523&r1=669522&r2=669523&view=diff
==============================================================================
--- incubator/couchdb/branches/runtimeconfig/etc/couchdb/couch.ini.tpl.in (original)
+++ incubator/couchdb/branches/runtimeconfig/etc/couchdb/couch.ini.tpl.in Thu Jun 19 09:10:00
2008
@@ -1,7 +1,7 @@
 ; @configure_input@
 
 [CouchDB]
-RootDirectory=%pkgstatelibdir%
+RootDirectory=%localstatelibdir%
 UtilDriverDir=%couchprivlibdir%
 MaximumDocumentSize=4294967296 ; 4 GB
 StartupMessage=Apache CouchDB is starting.
@@ -9,14 +9,14 @@
 [HTTPd]
 Port=5984
 BindAddress=127.0.0.1
-DocumentRoot=%pkgdatadir%/www
+DocumentRoot=%localdatadir%/www
 
 [Log]
-File=%pkgstatelogdir%/couch.log
+File=%localstatelogdir%/couch.log
 Level=info
 
 [CouchDB Query Servers]
-javascript=%bindir%/%couchjs_command_name% %pkgdatadir%/server/main.js
+javascript=%bindir%/%couchjs_command_name% %localdatadir%/server/main.js
 
 [CouchDB Query Server Options]
-QueryTimeout=5000 ; 5 seconds
\ No newline at end of file
+QueryTimeout=5000 ; 5 seconds

Modified: incubator/couchdb/branches/runtimeconfig/etc/default/couchdb.tpl.in
URL: http://svn.apache.org/viewvc/incubator/couchdb/branches/runtimeconfig/etc/default/couchdb.tpl.in?rev=669523&r1=669522&r2=669523&view=diff
==============================================================================
--- incubator/couchdb/branches/runtimeconfig/etc/default/couchdb.tpl.in (original)
+++ incubator/couchdb/branches/runtimeconfig/etc/default/couchdb.tpl.in Thu Jun 19 09:10:00
2008
@@ -3,7 +3,7 @@
 # Sourced by init script for configuration.
 
 COUCHDB_USER=couchdb
-COUCHDB_INI_FILE=%pkgconfdir%/couch.ini
+COUCHDB_INI_FILE=%localconfdir%/couch.ini
 COUCHDB_PID_FILE=%localstatedir%/run/couchdb.pid
 COUCHDB_STDOUT_FILE=/dev/null
 COUCHDB_STDERR_FILE=/dev/null

Modified: incubator/couchdb/branches/runtimeconfig/etc/logrotate.d/couchdb.tpl.in
URL: http://svn.apache.org/viewvc/incubator/couchdb/branches/runtimeconfig/etc/logrotate.d/couchdb.tpl.in?rev=669523&r1=669522&r2=669523&view=diff
==============================================================================
--- incubator/couchdb/branches/runtimeconfig/etc/logrotate.d/couchdb.tpl.in (original)
+++ incubator/couchdb/branches/runtimeconfig/etc/logrotate.d/couchdb.tpl.in Thu Jun 19 09:10:00
2008
@@ -1,4 +1,4 @@
-%pkgstatelogdir%/*.log {
+%localstatelogdir%/*.log {
        weekly
        rotate 10
        copytruncate

Modified: incubator/couchdb/branches/runtimeconfig/share/Makefile.am
URL: http://svn.apache.org/viewvc/incubator/couchdb/branches/runtimeconfig/share/Makefile.am?rev=669523&r1=669522&r2=669523&view=diff
==============================================================================
--- incubator/couchdb/branches/runtimeconfig/share/Makefile.am (original)
+++ incubator/couchdb/branches/runtimeconfig/share/Makefile.am Thu Jun 19 09:10:00 2008
@@ -10,7 +10,7 @@
 ## License for the specific language governing permissions and limitations
 ## under the License.
 
-nobase_dist_pkgdata_DATA = \
+nobase_dist_localdata_DATA = \
     server/main.js \
     www/browse/_compact_database.html \
     www/browse/_create_database.html \

Modified: incubator/couchdb/branches/runtimeconfig/share/www/browse/database.html
URL: http://svn.apache.org/viewvc/incubator/couchdb/branches/runtimeconfig/share/www/browse/database.html?rev=669523&r1=669522&r2=669523&view=diff
==============================================================================
--- incubator/couchdb/branches/runtimeconfig/share/www/browse/database.html [utf-8] (original)
+++ incubator/couchdb/branches/runtimeconfig/share/www/browse/database.html [utf-8] Thu Jun
19 09:10:00 2008
@@ -17,16 +17,16 @@
   <head>
     <title>Browse Database</title>
     <meta http-equiv="Content-Type" content="text/html;charset=utf-8">
-    <link rel="stylesheet" href="../style/layout.css?0.8.0a" type="text/css">
+    <link rel="stylesheet" href="../style/layout.css?0.8.0" type="text/css">
     <script src="../script/json2.js"></script>
     <script src="../script/jquery.js?1.2.6"></script>
-    <script src="../script/jquery.cookies.js?0.8.0a"></script>
-    <script src="../script/jquery.couch.js?0.8.0a"></script>
-    <script src="../script/jquery.dialog.js?0.8.0a"></script>
-    <script src="../script/jquery.resizer.js?0.8.0a"></script>
-    <script src="../script/jquery.suggest.js?0.8.0a"></script>
-    <script src="../script/browse.js?0.8.0a"></script>
-    <script src="../script/pprint.js?0.8.0a"></script>
+    <script src="../script/jquery.cookies.js?0.8.0"></script>
+    <script src="../script/jquery.couch.js?0.8.0"></script>
+    <script src="../script/jquery.dialog.js?0.8.0"></script>
+    <script src="../script/jquery.resizer.js?0.8.0"></script>
+    <script src="../script/jquery.suggest.js?0.8.0"></script>
+    <script src="../script/browse.js?0.8.0"></script>
+    <script src="../script/pprint.js?0.8.0"></script>
     <script>
       var page = new CouchDatabasePage();
       if (window != parent) {

Modified: incubator/couchdb/branches/runtimeconfig/share/www/browse/document.html
URL: http://svn.apache.org/viewvc/incubator/couchdb/branches/runtimeconfig/share/www/browse/document.html?rev=669523&r1=669522&r2=669523&view=diff
==============================================================================
--- incubator/couchdb/branches/runtimeconfig/share/www/browse/document.html [utf-8] (original)
+++ incubator/couchdb/branches/runtimeconfig/share/www/browse/document.html [utf-8] Thu Jun
19 09:10:00 2008
@@ -17,15 +17,15 @@
   <head>
     <title>View Document</title>
     <meta http-equiv="Content-Type" content="text/html;charset=utf-8">
-    <link rel="stylesheet" href="../style/layout.css?0.8.0a" type="text/css">
+    <link rel="stylesheet" href="../style/layout.css?0.8.0" type="text/css">
     <script src="../script/json2.js"></script>
     <script src="../script/jquery.js?1.2.6"></script>
-    <script src="../script/jquery.cookies.js?0.8.0a"></script>
-    <script src="../script/jquery.couch.js?0.8.0a"></script>
-    <script src="../script/jquery.dialog.js?0.8.0a"></script>
-    <script src="../script/jquery.resizer.js?0.8.0a"></script>
-    <script src="../script/browse.js?0.8.0a"></script>
-    <script src="../script/pprint.js?0.8.0a"></script>
+    <script src="../script/jquery.cookies.js?0.8.0"></script>
+    <script src="../script/jquery.couch.js?0.8.0"></script>
+    <script src="../script/jquery.dialog.js?0.8.0"></script>
+    <script src="../script/jquery.resizer.js?0.8.0"></script>
+    <script src="../script/browse.js?0.8.0"></script>
+    <script src="../script/pprint.js?0.8.0"></script>
     <script>
       var page = new CouchDocumentPage();
       if (window != parent) {

Modified: incubator/couchdb/branches/runtimeconfig/share/www/browse/index.html
URL: http://svn.apache.org/viewvc/incubator/couchdb/branches/runtimeconfig/share/www/browse/index.html?rev=669523&r1=669522&r2=669523&view=diff
==============================================================================
--- incubator/couchdb/branches/runtimeconfig/share/www/browse/index.html [utf-8] (original)
+++ incubator/couchdb/branches/runtimeconfig/share/www/browse/index.html [utf-8] Thu Jun 19
09:10:00 2008
@@ -17,14 +17,14 @@
   <head>
     <title>Welcome</title>
     <meta http-equiv="Content-Type" content="text/html;charset=utf-8">
-    <link rel="stylesheet" href="../style/layout.css?0.8.0a" type="text/css">
+    <link rel="stylesheet" href="../style/layout.css?0.8.0" type="text/css">
     <script src="../script/json2.js"></script>
     <script src="../script/jquery.js?1.2.6"></script>
-    <script src="../script/jquery.cookies.js?0.8.0a"></script>
-    <script src="../script/jquery.couch.js?0.8.0a"></script>
-    <script src="../script/jquery.dialog.js?0.8.0a"></script>
-    <script src="../script/browse.js?0.8.0a"></script>
-    <script src="../script/pprint.js?0.8.0a"></script>
+    <script src="../script/jquery.cookies.js?0.8.0"></script>
+    <script src="../script/jquery.couch.js?0.8.0"></script>
+    <script src="../script/jquery.dialog.js?0.8.0"></script>
+    <script src="../script/browse.js?0.8.0"></script>
+    <script src="../script/pprint.js?0.8.0"></script>
     <script>
       var page = new CouchIndexPage();
       $(document).ready(function() {

Modified: incubator/couchdb/branches/runtimeconfig/share/www/couch_tests.html
URL: http://svn.apache.org/viewvc/incubator/couchdb/branches/runtimeconfig/share/www/couch_tests.html?rev=669523&r1=669522&r2=669523&view=diff
==============================================================================
--- incubator/couchdb/branches/runtimeconfig/share/www/couch_tests.html [utf-8] (original)
+++ incubator/couchdb/branches/runtimeconfig/share/www/couch_tests.html [utf-8] Thu Jun 19
09:10:00 2008
@@ -17,11 +17,11 @@
   <head>
     <title>Test Suite</title>
     <meta http-equiv="Content-Type" content="text/html;charset=utf-8">
-    <link rel="stylesheet" href="style/layout.css?0.8.0a" type="text/css">
+    <link rel="stylesheet" href="style/layout.css?0.8.0" type="text/css">
     <script src="script/json2.js"></script>
     <script src="script/jquery.js?1.2.6"></script>
-    <script src="script/couch.js?0.8.0a"></script>
-    <script src="script/pprint.js?0.8.0a"></script>
+    <script src="script/couch.js?0.8.0"></script>
+    <script src="script/pprint.js?0.8.0"></script>
     <script>
       $(document).ready(function() {
         $("#toolbar button.load").click(function() {

Modified: incubator/couchdb/branches/runtimeconfig/share/www/index.html
URL: http://svn.apache.org/viewvc/incubator/couchdb/branches/runtimeconfig/share/www/index.html?rev=669523&r1=669522&r2=669523&view=diff
==============================================================================
--- incubator/couchdb/branches/runtimeconfig/share/www/index.html [utf-8] (original)
+++ incubator/couchdb/branches/runtimeconfig/share/www/index.html [utf-8] Thu Jun 19 09:10:00
2008
@@ -17,7 +17,7 @@
   <head>
     <title>Apache CouchDB: Futon Utility Client</title>
     <meta http-equiv="Content-Type" content="text/html;charset=utf-8">
-    <link rel="stylesheet" href="style/layout.css?0.8.0a" type="text/css">
+    <link rel="stylesheet" href="style/layout.css?0.8.0" type="text/css">
     <style type="text/css">
       html { height: 100%; overflow: hidden; }
       body { background: #fff url(image/bg.png) 100% 0 repeat-y;
@@ -28,7 +28,7 @@
     </style>
     <script src="script/json2.js"></script>
     <script src="script/jquery.js?1.2.6"></script>
-    <script src="script/jquery.couch.js?0.8.0a"></script>
+    <script src="script/jquery.couch.js?0.8.0"></script>
     <script>
       function updateDatabaseList() {
         var list = $("#dbs").empty();

Modified: incubator/couchdb/branches/runtimeconfig/share/www/replicator.html
URL: http://svn.apache.org/viewvc/incubator/couchdb/branches/runtimeconfig/share/www/replicator.html?rev=669523&r1=669522&r2=669523&view=diff
==============================================================================
--- incubator/couchdb/branches/runtimeconfig/share/www/replicator.html [utf-8] (original)
+++ incubator/couchdb/branches/runtimeconfig/share/www/replicator.html [utf-8] Thu Jun 19
09:10:00 2008
@@ -17,11 +17,11 @@
   <head>
     <title>Replicator</title>
     <meta http-equiv="Content-Type" content="text/html;charset=utf-8">
-    <link rel="stylesheet" href="style/layout.css?0.8.0a" type="text/css">
+    <link rel="stylesheet" href="style/layout.css?0.8.0" type="text/css">
     <script src="script/json2.js"></script>
     <script src="script/jquery.js?1.2.6"></script>
-    <script src="script/jquery.couch.js?0.8.0a"></script>
-    <script src="script/pprint.js?0.8.0a"></script>
+    <script src="script/jquery.couch.js?0.8.0"></script>
+    <script src="script/pprint.js?0.8.0"></script>
     <script>
       $(document).ready(function() {
         if (window !== parent) parent.updateNavigation();

Modified: incubator/couchdb/branches/runtimeconfig/src/couchdb/Makefile.am
URL: http://svn.apache.org/viewvc/incubator/couchdb/branches/runtimeconfig/src/couchdb/Makefile.am?rev=669523&r1=669522&r2=669523&view=diff
==============================================================================
--- incubator/couchdb/branches/runtimeconfig/src/couchdb/Makefile.am (original)
+++ incubator/couchdb/branches/runtimeconfig/src/couchdb/Makefile.am Thu Jun 19 09:10:00 2008
@@ -12,7 +12,7 @@
 
 ICU_LOCAL_FLAGS = $(ICU_LOCAL_CFLAGS) $(ICU_LOCAL_LDFLAGS)
 
-couchprivlibdir = $(erlanglibdir)/couch-$(version)/priv/lib
+couchprivlibdir = $(localerlanglibdir)/couch-$(version)/priv/lib
 
 couchprivlib_LTLIBRARIES = couch_erl_driver.la
 couch_erl_driver_la_SOURCES = couch_erl_driver.c
@@ -20,11 +20,11 @@
 couch_erl_driver_la_CFLAGS = $(ICU_LOCAL_FLAGS)
 couch_erl_driver_la_LIBADD = -licuuc -licudata -licui18n
 
-libbin_PROGRAMS = couchjs
+locallibbin_PROGRAMS = couchjs
 couchjs_SOURCES = couch_js.c
 
-couchebindir = $(erlanglibdir)/couch-$(version)/ebin
-couchincludedir = $(erlanglibdir)/couch-$(version)/include
+couchebindir = $(localerlanglibdir)/couch-$(version)/ebin
+couchincludedir = $(localerlanglibdir)/couch-$(version)/include
 
 couch_file_collection = \
     cjson.erl \

Modified: incubator/couchdb/branches/runtimeconfig/src/mochiweb/Makefile.am
URL: http://svn.apache.org/viewvc/incubator/couchdb/branches/runtimeconfig/src/mochiweb/Makefile.am?rev=669523&r1=669522&r2=669523&view=diff
==============================================================================
--- incubator/couchdb/branches/runtimeconfig/src/mochiweb/Makefile.am (original)
+++ incubator/couchdb/branches/runtimeconfig/src/mochiweb/Makefile.am Thu Jun 19 09:10:00
2008
@@ -10,7 +10,7 @@
 ## License for the specific language governing permissions and limitations under
 ## the License.
 
-mochiwebebindir = $(erlanglibdir)/mochiweb-r76/ebin
+mochiwebebindir = $(localerlanglibdir)/mochiweb-r76/ebin
 
 mochiweb_file_collection = \
     mochifmt.erl \

Modified: incubator/couchdb/branches/runtimeconfig/var/Makefile.am
URL: http://svn.apache.org/viewvc/incubator/couchdb/branches/runtimeconfig/var/Makefile.am?rev=669523&r1=669522&r2=669523&view=diff
==============================================================================
--- incubator/couchdb/branches/runtimeconfig/var/Makefile.am (original)
+++ incubator/couchdb/branches/runtimeconfig/var/Makefile.am Thu Jun 19 09:10:00 2008
@@ -12,12 +12,12 @@
 
 install-data-hook:
 	if test ! "$(mkdir_p)" = ""; then \
-	    $(mkdir_p) "$(DESTDIR)$(pkgstatelibdir)"; \
-	    $(mkdir_p) "$(DESTDIR)$(pkgstatelogdir)"; \
+	    $(mkdir_p) "$(DESTDIR)$(localstatelibdir)"; \
+	    $(mkdir_p) "$(DESTDIR)$(localstatelogdir)"; \
 	    $(mkdir_p) "$(DESTDIR)$(localstatedir)/run"; \
 	else \
 	    echo "WARNING: You may have to create these directories by hand."; \
-	    mkdir -p "$(DESTDIR)$(pkgstatelibdir)"; \
-	    mkdir -p "$(DESTDIR)$(pkgstatelogdir)"; \
+	    mkdir -p "$(DESTDIR)$(localstatelibdir)"; \
+	    mkdir -p "$(DESTDIR)$(localstatelogdir)"; \
 	    mkdir -p "$(DESTDIR)$(localstatedir)/run"; \
 	fi



Mime
View raw message